package de.tu_darmstadt.tk.SmartHomeNetworkSim;

import de.tu_darmstadt.tk.SmartHomeNetworkSim.control.Controller;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.Model;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.view.MainFrame;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.view.menuBar.HeaterScenario;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.view.menuBar.HeaterScenarioFakeData;
import de.tu_darmstadt.tk.SmartHomeNetworkSim.view.menuBar.LightScenario;

/**
 * Main class which initializes and connects the different parts and starts the program
 *
 * @author Andreas T. Meyer-Berg
 */
public class Main {
	/**
	 * Model of the smart home
	 */
	static Model model;
	
	/**
	 * Visualization of the smart home network
	 */
	static MainFrame view;
	
	/**
	 * Controller of the program 
	 */
	static Controller controller;
	
	/**
	 * Starts the program
	 * @param args will be ignored
	 */
	public static void main(String[] args) {
		model = new Model();
		controller = new Controller(model);
	    view = new MainFrame(controller);
	    //view.menu.mnExamples.createSWCExample(true);
	    //new HeaterScenario(controller, controller.getNetworkController()).createSWCExample(true);
	    //new LightScenario(controller).createSWCExample(true);
	    new HeaterScenarioFakeData(controller, controller.getNetworkController()).createSWCExample(true);
	    System.exit(0);
	}
}
